package com.fuyuanshen.equipment.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import java.util.List;

/**
 * @Description: 分配客户的Vo类
 * @Author: WY
 * @Date: 2025/5/28
 **/
@Data
@Validated
public class CustomerVo {

    @Schema(name = "客户ID")
    @NotNull(message = "客户ID不能为空")
    private Long customerId;

    @Schema(name = "设备ID")
    @NotNull(message = "设备ID不能为空")
    private List<Long> deviceIds;

}
