package com.fuyuanshen.equipment.service;

import com.fuyuanshen.common.mybatis.core.page.PageQuery;
import com.fuyuanshen.common.mybatis.core.page.TableDataInfo;
import com.fuyuanshen.equipment.domain.UserApp;
import com.fuyuanshen.equipment.domain.bo.UserAppBo;

import java.util.Collection;
import java.util.List;

/**
 * APP用户信息Service接口
 *
 * @author Lion Li
 * @date 2025-06-27
 */
public interface AppUserService {

    /**
     * 修改APP用户信息
     *
     * @param bo APP用户信息
     * @return 是否修改成功
     */
    Boolean updateByBo(UserAppBo bo);

    /**
     * 查询小程序用户信息
     *
     * @param phoneNumber
     * @return
     */
    UserApp getMpUser(Long phoneNumber);

    UserApp loadUserByUsername(String username);

    /**
     * 新增小程序用户信息
     *
     * @param userApp
     * @return
     */
    void saveMpUser(UserApp userApp);


}
